<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Tagihan Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="content">
    <!--Dashboard Pendaftar-->
    <div class="" sec:authorize = "hasAuthority('VIEW_PENDAFTAR')">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="btn-toolbar">
                    <div class="btn-group" th:if="${pendaftar.leads.jenjang.S1 == pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran S1</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default" type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/listPendaftar}">
                            <button class="btn btn-default active" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/detailPendaftar/form}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                    <div class="btn-group" th:if="${pendaftar.leads.jenjang.S2 == pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a  th:href="@{/detailPendaftar/formS2}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default" type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/listPendaftar}">
                            <button class="btn btn-default active" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                </div>

                <div class="row" id="printDiv" >
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <div class="row">
                                <div class="col-xs-12 invoice-header" th:if="${tagihan} == null">
                                    <h4>
                                        Tagihan Belum Tersedia, Silahkan hubungi <a href="https://wa.me/6282184800600">admin</a>.
                                    </h4>
                                    <a href="https://wa.me/6282184800600" class="btn btn-sm btn-info"><i class="fa fa-phone"></i>&nbsp;Admin</a>
                                </div>
                                <div class="col-xs-12 invoice-header" th:if="${tagihan} != null">
                                    <h3>
                                        Berikut kami sampaikan tagihan biaya daftar ulang.
                                    </h3>
                                </div>

                                <!-- /.col -->
                            </div>
                                    <!-- info row -->
                            <div class="row invoice-info"  th:if="${tagihan} != null">
                                <div class="col-sm-7 invoice-col">
                                    <address>
                                        <table class="tabs-left">
                                            <tr style="font-weight: bold">
                                                <td width="130px">Nomor Tagihan</td>
                                                <td width="8px">:</td>
                                                <td  th:text="${tagihan.nomorTagihan}">201910000100010</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Nama</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.leads.nama}">Haffizh</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Jenjang</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.leads.jenjang}">S1</td>
                                            </tr>
                                            <tr>
                                                <td width="130px">Program Studi</td>
                                                <td width="8px">:</td>
                                                <td th:text="${tagihan.pendaftar.programStudi.nama}">Akutansi Syariah</td>
                                            </tr>
                                        </table>
                                    </address>
                                    <table>
                                        <tr>
                                            <td width="130px">Uang Pangkal</td>
                                            <td width="8px">:</td>
                                            <td th:text="${'Rp.' + #numbers.formatDecimal(nilaiUp, 0, 'POINT', 2, 'COMMA')}"></td>
                                        </tr>
                                        <tr>
                                            <td width="130px">Keterangan</td>
                                            <td width="8px">:</td>
                                            <td th:text="${hasil.keterangan}">Tagihan Pendaftaran a.n Haffizh Ahmad Fauzi</td>
                                        </tr>
                                        <tr th:if="${tagihan.pendaftar.leads.jenjang.S1} == ${tagihan.pendaftar.leads.jenjang}">
                                            <td width="130px">Uang Pangkal Bersih</td>
                                            <td width="8px">:</td>
                                            <td th:text="${'Rp.' + #numbers.formatDecimal(nilaiUpB, 0, 'POINT', 2, 'COMMA')}"></td>
                                        </tr>
                                        <!--<tr th:if="${tagihan.pendaftar.leads.jenjang.S1} == ${tagihan.pendaftar.leads.jenjang}">-->
                                            <!--<td width="130px">Asrama </td>-->
                                            <!--<td width="8px">:</td>-->
                                            <!--<td>Rp.1.500.000.00 (Bulan September)</td>-->
                                        <!--</tr>-->
                                        <tr>
                                            <td width="130px">Total Tagihan</td>
                                            <td width="8px">:</td>
                                            <td style="font-weight: bold"  th:text="${'Rp.'+ #numbers.formatDecimal(tagihan.nilai, 0, 'POINT', 2, 'COMMA')}">Rp.300.000,00</td>
                                        </tr>
                                    </table>
                                </div>
                                <div class="col-sm-5" >
                                    <div th:if="${pembayaran} != null and ${tagihan} != null" style="width: 200px; height: 75px; border: 8px solid red; text-align: center;">
                                        <h1>Lunas</h1>
                                    </div>
                                    <div th:if="${pembayaran} == null and ${tagihan} != null" style="width: 200px; height: 60px; border: 8px solid red; text-align: center;">
                                        <h3>Belum Lunas</h3>
                                    </div>
                                </div>
                            </div>
                            <!-- /.row -->

                            <div class="row" th:if="${tagihan} != null">
                                <div class="col-sm-7">
                                    <h5>Mohon lakukan pembayaran ke salah satu No. Rekeing Virtual Account di bawah ini.</h5>
                                    <small style="color: red">*Pilih salah satu.</small>
                                    <div class="table-responsive">
                                        <table class="table">
                                                <tr th:each="va,row : ${virtualAccount}">
                                                    <td th:text="${(row.index + 1) + (virtualAccount.number * virtualAccount.size)}">#</td>
                                                    <td th:text="${'Virtual Account '+va.bank.namaBank}">Virtual Account CIMB Syariah</td>
                                                    <th style="width:50%" th:text="${va.nomorVa}">20191000010020167</th>
                                                </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
                <!-- /.row -->

                <!-- this row will not appear when printing -->
                <div class="row no-print" th:if="${pembayaran} == null">
                    <div class="col-xs-12" th:if="${tagihan} != null">
                        <button class="btn btn-default" id="doPrint"><i class="fa fa-print"></i>Cetak Tagihan</button>
                        <a th:href="@{/panduanPembayaran}" class="btn btn-success"></i>Panduan Pembayaran</a>
                    </div>
                </div>
                <div class="row no-print" th:if="${pembayaran} != null">
                    <div class="col-xs-12" th:if="${tagihan} != null">
                        <span><h5>
                            Terimakasih telah melakukan pembayaran daftar ulang silahkan download surat keterangan.
                        </h5></span>
                        <a th:href="@{/suratKeterangan(pendaftar=${tagihan.pendaftar.id})}" class="btn btn-sm btn-primary"></i>Surat Keterangan</a>
                        <a th:if="${pembayaran} != null and ${tagihan} != null" th:href="@{/kwitansi(id = ${pembayaran.id})}" style="margin-right: 100px;"  class="btn btn-sm btn-success">
                            Kwitansi Pembayaran
                        </a>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</section>
</body>
<th:block layout:fragment="script">
    <script>
        document.getElementById("doPrint").addEventListener("click", function() {
            var printContents = document.getElementById('printDiv').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        });
    </script>
</th:block>

</html>